aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-rsa/APKBUILD
diff options
context:
space:
mode:
authorPeter Bui <pnutzh4x0r@gmail.com>2015-07-20 23:24:28 -0500
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-21 06:10:51 +0000
commit44c057b087c3505800b0fb2c65cc1d3b0fbd4efa (patch)
tree97b31e3680b4c84e60700707a70ed51c4058a015 /main/py-rsa/APKBUILD
parentc301230ca189b21bfde787272d0a016c69b17d36 (diff)
downloadaports-44c057b087c3505800b0fb2c65cc1d3b0fbd4efa.tar.gz
aports-44c057b087c3505800b0fb2c65cc1d3b0fbd4efa.tar.bz2
aports-44c057b087c3505800b0fb2c65cc1d3b0fbd4efa.tar.xz
main/py-rsa: move from testing
Diffstat (limited to 'main/py-rsa/APKBUILD')
-rw-r--r--main/py-rsa/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/main/py-rsa/APKBUILD b/main/py-rsa/APKBUILD
new file mode 100644
index 0000000000..b42129d626
--- /dev/null
+++ b/main/py-rsa/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Peter Bui <pnutzh4x0r@gmail.com>
+pkgname=py-rsa
+_pkgname=rsa
+pkgver=3.1.4
+pkgrel=0
+pkgdesc="Pure-Python RSA implementation"
+url="http://stuvel.eu/rsa"
+arch="noarch"
+license="BSD"
+depends="python py-asn1"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="b6b1c80e1931d4eba8538fd5d4de1355 rsa-3.1.4.tar.gz"
+sha256sums="e2b0b05936c276b1edd2e1525553233b666df9e29b5c3ba223eed738277c82a0 rsa-3.1.4.tar.gz"
+sha512sums="b6ff7b91909b58359bda5da99ca4297337da5985c5430d2e96663c8bcf599b2180d54afa3316d4c3b11a8f79ddcb1f41d6942a0c8db2f0d27221c3aee132f3c1 rsa-3.1.4.tar.gz"